Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class ItemVar

    java.lang.Object
      ix.util.lisp.Symbol
          ix.util.lisp.ItemVar

All Implemented Interfaces:
  LispObject, SemiPrimitive, java.io.Serializable, java.lang.Comparable

    public class ItemVar

extends Symbol

Symbols used in patterns as variables that match a single object.

See Also:
  Serialized Form

Field Summary
`protected static Gensym.Generator` | `varGen`

Fields inherited from class ix.util.lisp.Symbol
`name, obTable`

Constructor Summary
`protected` | `ItemVar(java.lang.String name)`

Method Summary
`protected static java.lang.Object` | `renameItemVars(java.util.HashMap map, java.lang.Object tree)`
`static java.lang.Object` | `renameItemVars(java.lang.Object tree)` Returns a copy of the tree in which every ItemVar is replaced by an ItemVar that did not exist before this call to this method.

Methods inherited from class ix.util.lisp.Symbol
`compareTo, exists, intern, quickIntern, readResolve, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### varGen

    protected static Gensym.Generator varGen

Constructor Detail

### ItemVar

    protected ItemVar(java.lang.String name)

Method Detail

### renameItemVars

    public static java.lang.Object renameItemVars(java.lang.Object tree)

  Returns a copy of the tree in which every ItemVar is replaced by an ItemVar that did not exist before this call to this method.

### renameItemVars

    protected static java.lang.Object renameItemVars(java.util.HashMap map,
                                                     java.lang.Object tree)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD